//---------------------------------------------------------------------------

#ifndef DrawRSUH
#define DrawRSUH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include "GArrow.h"
#include "Data_Gen.h"


#define WPen 1
#define RadMoment   40

//---------------------------------------------------------------------------
class TDrawRSUForm : public TForm
{
__published:	// IDE-managed Components
	TBitBtn *BitBtn_Close;
	TImage *Image_DRsu;
	TGroupBox *GroupBox_q_bal;
	TCheckBox *CheckBox_Side;
	TCheckBox *CheckBox_Centr;
	TCheckBox *CheckBox_SignLoad;
	TCheckBox *CheckBox_sysc;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Draw_beam(bool flag_sign, bool flag_sysc);
	void __fastcall Draw_load(TImage *Image1, bool flag_sign);
	void __fastcall BitBtn_CloseClick(TObject *Sender);
	// Штриховка
	void __fastcall Shtrih(TPoint *points, float s_s, float mx, float my);
	void __fastcall CheckBox_SideClick(TObject *Sender);
	void __fastcall CheckBox_CentrClick(TObject *Sender);
	void __fastcall CheckBox_SignLoadClick(TObject *Sender);
	void __fastcall CheckBox_syscClick(TObject *Sender);
	void __fastcall Draw_All(TObject *Sender);
    void __fastcall Draw_Epur(TObject *Sender);


private:	// User declarations
public:		// User declarations
	__fastcall TDrawRSUForm(TComponent* Owner);
	double L_beam, H_beam;
	int  form_profil;
	int  index_profil;
	int type_profil;
	double loads[6];
	double q_bal;
	double Mx_plus;
	double Qy_plus;
	COMMON_SECT com_sect;
	TArrow CoorAx;
	double attit;
	double alfa;
	double sigma_ext;
	double sigma_int;
	double Hsect;
	double plate_thick;
	double plate_width;
	int index_GOST_or_TU;
	int index_TAVR_GOST_or_TU;
	int index_draw;   // 0 - РСУ; 1 - Эпюра напряжений
    int index_composed;
	int n_profil;

};
//---------------------------------------------------------------------------
extern PACKAGE TDrawRSUForm *DrawRSUForm;
//---------------------------------------------------------------------------
#endif
